Bug 178590 - Upgrade issues from FC3+all updates installed.
Upgrade issues from FC3+all updates installed.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-21 22:05 EST by Sam Varshavchik
Modified: 2008-05-06 11:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:33:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2006-01-21 22:05:22 EST
Description of problem:

An FC3 workstation with all updates as of 1/21 applied was upgraded to FC 4.

The upgrade seemed to complete succesfully, but /root/upgrade.log repeated errors:

error: %post(audit-libs-0.8.2-1.i386) scriptlet failed, exit status 255
error: %post(libtermcap-2.0.8-41.i386) scriptlet failed, exit status 255
error: %post(cracklib-2.8.2-1.i386) scriptlet failed, exit status 255
error: %post(ncurses-5.4-17.i386) scriptlet failed, exit status 255

...

error: %post(openssl097a-0.9.7a-3.i386) scriptlet failed, exit status 255
[root@laptop ~]# grep 'scriptlet failed' upgrade.log | wc -l
48

Additional investigation revealed that all installation scripts that invoke
/sbin/ldconfig have failed with this error.

Furthermore, in all of these cases, the old version of the package was not
removed, i.e. after the upgrade both db4-devel 4.2 and 4.3 were installed.
Comment 1 Jeremy Katz 2006-01-28 00:32:20 EST
Was SELinux enabled?
Comment 2 Sam Varshavchik 2006-01-28 08:59:45 EST
No.  FC3 was not using selinux.
Comment 3 Sam Varshavchik 2006-01-28 12:38:03 EST
Today I upgraded another machine that was running FC3+all updates to FC4, and
the same thing happened -- all pre/post-install scripts that invoked ldconfig
barfed one after another, resulting in the old packages not getting removed.

Again the other machine was not using selinux:

upgrade.log:

...

The following packages were available in this version but NOT upgraded:

...

selinux-doc-1.19.5-1.noarch.rpm
selinux-policy-strict-1.23.16-6.noarch.rpm
selinux-policy-strict-sources-1.23.16-6.noarch.rpm
selinux-policy-targeted-1.23.16-6.noarch.rpm
selinux-policy-targeted-sources-1.23.16-6.noarch.rpm

Comment 4 Sam Varshavchik 2006-01-31 18:13:55 EST
Upgraded the final server today, with same results.

This time, while anaconda was upgrading packages, I began flipping through the
VTs.  And, one of the VTs was indeed logging "avc: denied" messages, from I
could see on libc.so.6 and libc-2.3.6.so

None of these servers ever used SElinux.  They were initially installed
pre-selinux (FC1, RH9, etc...) and were upgraded over time.  So:

* they never had anything selinux-related installed or activated.  selinux was
never used.  I don't know much about selinux anyway.

* during upgrade, selinux was enabled and, apparently, did not like something,
since selinux was never initialized on this machine.


Comment 5 Christian Iseli 2007-01-19 19:28:06 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 6 Sam Varshavchik 2007-01-19 20:38:57 EST
This bug still exists in FC6.  When I upgraded from FC4 to FC6:

[root@commodore ~]# grep scriptlet upgrade.log
error: %post(postgresql-jdbc-8.1.407-1jpp.4.x86_64) scriptlet failed, exit
status 127
error: %post(metacity-2.16.0-5.fc6.x86_64) scriptlet failed, exit status 127
error: %post(gnome-vfs2-2.16.0-4.fc6.x86_64) scriptlet failed, exit status 127
error: %post(libgnome-2.16.0-4.fc6.x86_64) scriptlet failed, exit status 127
error: %post(gnome-mount-0.5-2.fc6.x86_64) scriptlet failed, exit status 127
error: %post(gnome-vfs2-2.16.0-4.fc6.i386) scriptlet failed, exit status 127
error: %post(libgnome-2.16.0-4.fc6.i386) scriptlet failed, exit status 127
...
error: %post(gstreamer-plugins-good-0.10.4-1.fc6.x86_64) scriptlet failed, exit
status 127
error: %post(gnome-volume-manager-2.15.0-2.fc6.x86_64) scriptlet failed, exit
status 127
error: %preun(sound-juicer-2.10.1-1.x86_64) scriptlet failed, exit status 127
error: %preun(yelp-2.10.0-1.4.3.x86_64) scriptlet failed, exit status 127
error: %postun(firefox-1.0.8-1.1.fc4.x86_64) scriptlet failed, exit status 127


All of these packages appear to have the same thing in common.  Their pre/post
scripts all invoked ldconfig.

Furthermore, after an upgrade, for all of these packages, the rpm database ended
up having both the fc4 and the fc6 version of each package listed as install
(both the old and the new version of metacity, sound-juicer, etc... was
installed at the conclusion of the update).

After the upgrade was complete, I spent a lot of time cleaning up this mess and
removing all old packages, by hand.  After a reboot into FC6, all of the old
packages' pre/post scripts obediently ran, without complaining.
Comment 7 Sam Varshavchik 2007-02-17 00:35:52 EST
Updating the bug status.  My comment on Jan 19th supplied the requested
information, but it looks like I missed the checkmark.
Comment 8 Red Hat Bugzilla 2007-08-21 01:21:55 EDT
User pnasrat@redhat.com's account has been closed
Comment 9 Bug Zapper 2008-04-03 22:07:08 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 11:33:36 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.